#!/bin/bash
#
# Parses command line options. Currently supported options are:
# DESTDIR      Destination root directory

NAME="consoleSudoku"
     
DESTDIR=""     
for arg; do
  case $arg in
    DESTDIR=*) DESTDIR=${arg#DESTDIR=};;
  esac;
done

BINDIR=$DESTDIR/usr/bin
MANDIR=$DESTDIR/usr/share/man/man6
DOCDIR=$DESTDIR/usr/share/doc/packages/$NAME
     
# Strips the debug-infos (not necessary everytime!)
# (uncomment this line if you want to publish debug packages)
# strip --strip-all "./project1"
     
# Does the install
echo "Installing application..."

#Add commands to copy your project-files here

mkdir -p $DOCDIR $BINDIR $MANDIR
install --mode=755 $NAME $BINDIR/
install --mode=644 $NAME.6.gz $MANDIR/
install --mode=644 README COPYING ChangeLog AUTHORS GPL-V3 $DOCDIR/ 


echo "Installation done."
     
