#!/bin/bash
set -e
# Detects and parses the architecture
ARCH=$(uname -m)
case "$ARCH" in 
     "i686") ARCH="i386";;
     "i586") ARCH="i386";;
     "i486") ARCH="i386";; 
esac
     
echo "Target architecture: $ARCH"
     
if [ $ARCH = "x86_64" ]; then LCLDir="/usr/lib64/lazarus/"
else LCLDir="/usr/lib/lazarus"
fi
echo "LAZTarget: $LCLDir"
     
# Building the IDE and LCL
OS="linux"
echo "Target operating system: $OS"
     
# Command line to build the sofware
VER=$(fpc -iW)
echo "Compiler version: $VER"
     
echo "Compiling project..."

## jedes "/../../../../usr/lib/lazarus/" oder aehnliches mit $LCLDir ersetzen
## jedes "i386-linux" oder ähnlich muss mit "$ARCH-$OS" überschrieben
## fpc -MObjFPC -Scghi -Cg -O1 -g -gl -l -vewnhibq -Fu. -FUlib/x86_64-linux consoleSudoku.lpr <--
fpc -MObjFPC -Scghi -Cg -O1 -g -gl -l -vewnhibq -Fu. -Fulib/$ARCH-$OS -o./consoleSudoku consoleSudoku.pas

## alternative Aufrufmoeglichkeit: Code: Alles auswählen (kann aber event. Probleme beim Build bereiten)
## $LCLDir/lazbuild -B consoleSudoku.lpr